# Uses of Enum Class
org.eclipse.net4j.ILocationAware.Location

Packages that use ILocationAware.Location
Package
Description
org.eclipse.net4j
The Net4j transport layer.
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of ILocationAware.Location in org.eclipse.net4j

Methods in org.eclipse.net4j that return ILocationAware.Location
Modifier and Type
Method
Description
`ILocationAware.Location`
ILocationAware.`getLocation()`
Returns the location of this object in a `client`/`server` scenario.
`static ILocationAware.Location`
ILocationAware.Location.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ILocationAware.Location[]`
ILocationAware.Location.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ILocationAware.Location in org.eclipse.spi.net4j

Methods in org.eclipse.spi.net4j that return ILocationAware.Location
Modifier and Type
Method
Description
`ILocationAware.Location`
Channel.`getLocation()`
`ILocationAware.Location`
Connector.`getLocation()`
`ILocationAware.Location`
Protocol.`getLocation()`